com.sap.conn.jco

## Class XMLParserException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - com.sap.conn.jco.JCoRuntimeException
        - - com.sap.conn.jco.XMLParserException

- All Implemented Interfaces:
    Serializable

      public class XMLParserException
      extends JCoRuntimeException

  Exception thrown by the XML parser in the RFC communication when using complex parameters or if the function module is tagged in the metadata to use binary ASXML as serialization format on the line. Complex parameters are in importing, exporting, and changing parameter lists, and have a non- deterministic length, such as table types nested structures that contain at least a string, xstring, table or a nested structure that is considered complex. Only the JCo runtime should throw such an exception.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `XMLParserException(String message)` Creates a new instance of the XMLParserException with the given message.
    `XMLParserException(String message, Throwable causedBy)` Creates a new instance of the XMLParserException with the given message and a cause exception.

  - ### Method Summary

    - ### Methods inherited from class com.sap.conn.jco.JCoRuntimeException

      `getGroup, getKey, toString`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### XMLParserException

          public XMLParserException(String message)

      Creates a new instance of the XMLParserException with the given message.
      Parameters:
        `message` - exception message

    - #### XMLParserException

          public XMLParserException(String message,
                            Throwable causedBy)

      Creates a new instance of the XMLParserException with the given message and a cause exception.
      Parameters:
        `message` - exception message
        `causedBy` - cause exception

Copyright © 2018 SAP. All Rights Reserved.